package cn.zhangdeman;

// 自定义异常
public class Exception {
    private final Object code; // 错误码
    private final String message; // 异常信息
    private final Object data; // 异常数据

    public Exception(Object code, Object data) {
        this.code = code;
        this.message = ""; // TODO : 根据code初始化Message
        this.data = data;
    }
    public Exception(Object code, String message, Object data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }
}